Subject: bug#38384: (next|previous)-buffer silent about not switching

From: Juanma Barranquero <[email-masked]>
Date: Tue, 26 Nov 2019 19:51:50 +0100

On Tue, Nov 26, 2019 at 7:44 PM Eli Zaretskii <[email-masked]> wrote:

> I don't see how this is relevant to the issue at hand, what did I
> miss?

Sorry, I fail to see how could it not be relevant. Lisp code calling
(next|previous)-buffer already has to defend itself against a user-error.
My code just adds one specific case (that of the window's buffer list
having only one buffer) in which user-error is also signaled. Am I missing
something?